Page MenuHomeFreeBSD

net-p2p/transmission-*: update to version 2.94
ClosedPublic

Authored by rigoletto on Mar 14 2018, 10:54 PM.

Details

Summary

PR: 226710

  • major rework
  • update to version 2.94
  • convert Qt[4,5] to FLAVORS
  • take maintainership

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
mat added inline comments.Jun 4 2018, 10:52 AM
net-p2p/transmission-qt/Makefile
36 ↗(On Diff #43292)

That is extremely fragile, and extremely obfuscated, please expand it in the two lines it ends up doing.

rigoletto updated this revision to Diff 43323.Jun 4 2018, 11:29 PM
rigoletto marked an inline comment as done.

Done.

mat added inline comments.Jun 5 2018, 8:07 AM
net-p2p/transmission-qt/Makefile
36–37 ↗(On Diff #43323)

Wrong place in the Makefile, they are flavors helpers, they should happen in the flavors block. See Chapter 15. Order of Variables in Port Makefiles.

rigoletto updated this revision to Diff 43338.Jun 5 2018, 6:36 PM
rigoletto marked an inline comment as done.

Done.

mat added inline comments.Jun 5 2018, 7:54 PM
net-p2p/transmission-qt/Makefile
28–29 ↗(On Diff #43338)

Still wrong. up, up, with the flavors.

Could you please read Chapter 15. Order of Variables in Port Makefiles, and apply its content. It would go so much faster than me having to knit pick every lines.

mat accepted this revision as: portmgr.Jun 6 2018, 10:50 AM
mat added a reviewer: portmgr.

Accept, flavor-wise.

Could you add some MOVED entries too?

net-p2p/transmission-qt4|net-p2p/transmission-qt@qt4|...

Could you update the diff making you the maintainer of the whole transmission-suite?

mfg Tobias

rigoletto updated this revision to Diff 44365.EditedJun 24 2018, 12:58 AM

I just did a quick update to version 2.94, and changed the maintainer as previously concerted.

I need some time to try to re-work the entire thing aiming to make it more simple to maintain. It is too complicated right now.

Thanks! :)

rigoletto updated this revision to Diff 44366.Jun 24 2018, 1:04 AM

Minor fix.

Btw, btransmission.cachefly.net gone.

rigoletto retitled this revision from net-p2p/transmission-qt[4,5]: switching to FLAVORS. to net-p2p/transmission-*: update to verson 1.94.Jun 24 2018, 1:43 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto edited the summary of this revision. (Show Details)
rigoletto retitled this revision from net-p2p/transmission-*: update to verson 1.94 to net-p2p/transmission-*: update to verson 2.94.Jun 24 2018, 6:56 AM
rigoletto updated this revision to Diff 44396.EditedJun 24 2018, 7:46 PM

Saving state.

Nothing build, WORKDIR is always empty, the distfile does not extract (and IDK why). :-)

rigoletto updated this revision to Diff 44449.Jun 26 2018, 3:30 AM

Saving state.

Current situation:

www/transmission-web does not need any LIB_DEPENDS, USES etc. and the only way to arrange it would be:

1- create a separated port
2- add a conditional to disable those for this slave port before LIB_DEPENDS, like was done on the old version and (similar) to the previous FLAVORized version.

net-p2p/transmission-qt:

For some unknown reason "PKGNAMESUFFIX= -${FLAVOR}" is broken (it is ignored). If I set -qt4 or -qt5 just for testing it works.

I need instructions!

Thanks.

In D14699#339060, @lbdm_privacychain.ch wrote:

Saving state.
Current situation:
www/transmission-web does not need any LIB_DEPENDS, USES etc. and the only way to arrange it would be:
1- create a separated port
2- add a conditional to disable those for this slave port before LIB_DEPENDS, like was done on the old version and (similar) to the previous FLAVORized version.

Use something like in the master-port Makefile

. if ${SLAVEPORT:M....}
LIB_DEPENDS=...
.endif

if the libdpeends are used by everything but the web one, you can also use something like

.if ${SLAVEPORT:Nweb}
LIB_DEPENDS=...
.endif

net-p2p/transmission-qt:
For some unknown reason "PKGNAMESUFFIX= -${FLAVOR}" is broken (it is ignored). If I set -qt4 or -qt5 just for testing it works.

This seems to work here.

[00:00:30] [08] [00:00:00] Building net-p2p/transmission-qt@qt5 | transmission-qt5-2.94
[00:00:33] [05] [00:00:00] Building net-p2p/transmission-qt@qt4 | transmission-qt4-2.94

I need instructions!
Thanks.

tcberner added inline comments.Jun 26 2018, 4:34 AM
net-p2p/transmission-daemon/Makefile
21 ↗(On Diff #44449)

^ that should be daemon

net-p2p/transmission-qt/Makefile
18 ↗(On Diff #44449)

^ you should probably set the shared USES lines in the master port, with += and only add the qt-specific here.

25 ↗(On Diff #44449)

you need to add

CMAKE_ON= #empty (to not use the default in the masterport)

transmission-qt@qt4 seems to need a patch to include time.h

tcberner added inline comments.Jun 26 2018, 4:52 AM
net-p2p/transmission-qt/Makefile
25 ↗(On Diff #44449)

make that

CMAKE_ON=ENABLE_QT

othwerise you'll get -D:BOOL=TRUE added .... that needs to be fixed in cmake.mk :D

tcberner added inline comments.Jun 26 2018, 5:06 AM
net-p2p/transmission-qt/Makefile
31 ↗(On Diff #44449)

^typo

tcberner added inline comments.Jun 26 2018, 5:19 AM
net-p2p/transmission-cli/Makefile
6 ↗(On Diff #44449)

I would define

SLAVEPORT?= cli
PKGNAMESUFFIX?= -${SLAVEPORT}

here too -- that way you can remove the PKGNAMESUFFIX definition in the slave ports. (the -qt-one will need some work then :) )

28 ↗(On Diff #44449)

^ you can probably do something like the following -- if you define

SLAVES= cli daemon gtk qt 
CMAKE_ON= ENABLE_${SLAVEPORT:tu}
CMAKE_OFF= ${SLAVES:N${SLAVEPORT}:tu:S/^/ENABLE_/}

and get rid of most of the CMAKE_* in the slave ports.

rigoletto updated this revision to Diff 44498.Jun 27 2018, 1:01 AM

Saving state again.

Evrything build but net-p2p/transmission and net-p2p/transmission-qt@qt4.

PolarSSL OPTION gone, that is not in ports anymore.

Thanks!

rigoletto updated this revision to Diff 44507.Jun 27 2018, 5:10 AM

Qt4 version is still failing, but that I leave for tomorrow.

Thanks!

rigoletto edited the summary of this revision. (Show Details)Jun 27 2018, 5:11 AM
rigoletto updated this revision to Diff 44596.Jun 28 2018, 8:05 PM

Updating to use the new Qt USES. Also

  • need to fix LICENSE for most ports
  • fix Qt:4 build. Seem related with NLS.
rigoletto updated this revision to Diff 44608.Jun 29 2018, 12:30 AM

transmission-qti@qt4:

Fail on 10.4 if NLS is ON, but build if NLS is OFF. On 11.2 fail on both situations.

rigoletto retitled this revision from net-p2p/transmission-*: update to verson 2.94 to net-p2p/transmission-*: update to version 2.94.Jun 29 2018, 12:31 AM
rigoletto updated this revision to Diff 44610.Jun 29 2018, 12:40 AM

The distinfo file was not included in the previous update, for unknown reason.

rigoletto updated this revision to Diff 44611.Jun 29 2018, 12:41 AM

Distinfo fixed now. Sorry.

rigoletto updated this revision to Diff 44670.Jun 29 2018, 11:22 PM

All builds fixed but can't get it right with the translation files of -gtk and -qt versions. Adding %%NLS%% did not help.

Thanks!

tcberner added inline comments.Jul 4 2018, 3:56 AM
net-p2p/transmission-cli/Makefile
58 ↗(On Diff #44670)

NLS_CMAKE_BOOL=ENABLE_NLS

68 ↗(On Diff #44670)

^ This seems broken.

  • the line continuation does not make sense
  • Configure args won't get understood by cmake
73 ↗(On Diff #44670)

^ you need to find the CMAKE option here too :)

tcberner edited reviewers, added: tcberner; removed: crees.Jul 4 2018, 4:23 AM
rigoletto marked 18 inline comments as done.Jul 4 2018, 4:32 AM
tcberner added inline comments.Jul 4 2018, 4:54 AM
net-p2p/transmission-cli/Makefile
42 ↗(On Diff #44670)

^is this still needed with cmake? -- if ${LOCALBASE}/lib is required you can add USES=localbase, but maybe try it without the whole line once

net-p2p/transmission-cli/files/patch-qt_Application.h
7 ↗(On Diff #44670)

^ shouldn't this rather be

#include <time.h>
net-p2p/transmission-qt/Makefile
19 ↗(On Diff #44670)

^ you should add
CMAKE_OFF+=USE_QT5 for the qt4 one

rigoletto updated this revision to Diff 44880.Jul 4 2018, 11:44 PM
rigoletto marked 4 inline comments as done.

Done.

rigoletto added inline comments.Jul 4 2018, 11:49 PM
net-p2p/transmission-cli/Makefile
42 ↗(On Diff #44670)

Unfortunately yes, otherwise fail. :/

76 ↗(On Diff #44880)

Apparently not needed anymore. I built it in here and tested. Seem to be working.

net-p2p/transmission-cli/files/patch-qt_Application.h
7 ↗(On Diff #44880)

Should this be up-streamed or this is a FreeBSD specific?

tcberner added inline comments.Jul 5 2018, 5:24 AM
net-p2p/transmission-cli/Makefile
42 ↗(On Diff #44670)

Then that is a bug in FindDHT.cmake of transmission, respectively how it is used :) -- it should either return the full librarypath, or add the library-dir to the linkdirectories for the targets that use it.

net-p2p/transmission-cli/files/patch-qt_Application.h
7 ↗(On Diff #44880)

Yeah, that sounds very upstreamable

rigoletto updated this revision to Diff 45024.Jul 8 2018, 6:17 PM
rigoletto marked 2 inline comments as done.

Small advance on removing LDFLAGS.

New errors:

cli/CMakeFiles/transmission-cli.dir/cli.c.o: In function `tr_strlratio':
cli.c:(.text+0x8ed): undefined reference to `libintl_gettext'
cc: error: linker command failed with exit code 1 (use -v to see invocation)

Thanks!

rigoletto updated this revision to Diff 45102.Jul 10 2018, 5:47 AM

Hopefully done.

Thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Jul 15 2018, 5:01 PM
This revision was automatically updated to reflect the committed changes.